public inbox for isar-users@googlegroups.com
 help / color / mirror / Atom feed
* [PATCH] meta: Run depmod after kernel module installation
@ 2018-07-09  6:31 Jan Kiszka
  2018-07-09  7:48 ` Henning Schild
  0 siblings, 1 reply; 3+ messages in thread
From: Jan Kiszka @ 2018-07-09  6:31 UTC (permalink / raw)
  To: isar-users

Otherwise the module may not be found if the module package is installed
on its own, i.e. without the kernel package performing the depmod run.

Signed-off-by: Jan Kiszka <jan.kiszka@siemens.com>
---
 meta/recipes-kernel/linux-module/files/debian/postinst | 4 ++++
 1 file changed, 4 insertions(+)
 create mode 100644 meta/recipes-kernel/linux-module/files/debian/postinst

diff --git a/meta/recipes-kernel/linux-module/files/debian/postinst b/meta/recipes-kernel/linux-module/files/debian/postinst
new file mode 100644
index 0000000..baabf5d
--- /dev/null
+++ b/meta/recipes-kernel/linux-module/files/debian/postinst
@@ -0,0 +1,4 @@
+#!/bin/sh
+set -e
+
+depmod -a
-- 
2.16.4

^ permalink raw reply	[flat|nested] 3+ messages in thread

* Re: [PATCH] meta: Run depmod after kernel module installation
  2018-07-09  6:31 [PATCH] meta: Run depmod after kernel module installation Jan Kiszka
@ 2018-07-09  7:48 ` Henning Schild
  2018-07-09  8:05   ` Jan Kiszka
  0 siblings, 1 reply; 3+ messages in thread
From: Henning Schild @ 2018-07-09  7:48 UTC (permalink / raw)
  To: [ext] Jan Kiszka; +Cc: isar-users

Am Mon, 9 Jul 2018 08:31:12 +0200
schrieb "[ext] Jan Kiszka" <jan.kiszka@siemens.com>:

> Otherwise the module may not be found if the module package is
> installed on its own, i.e. without the kernel package performing the
> depmod run.
> 
> Signed-off-by: Jan Kiszka <jan.kiszka@siemens.com>
> ---
>  meta/recipes-kernel/linux-module/files/debian/postinst | 4 ++++
>  1 file changed, 4 insertions(+)
>  create mode 100644
> meta/recipes-kernel/linux-module/files/debian/postinst
> 
> diff --git a/meta/recipes-kernel/linux-module/files/debian/postinst
> b/meta/recipes-kernel/linux-module/files/debian/postinst new file
> mode 100644 index 0000000..baabf5d
> --- /dev/null
> +++ b/meta/recipes-kernel/linux-module/files/debian/postinst
> @@ -0,0 +1,4 @@
> +#!/bin/sh
> +set -e
> +
> +depmod -a

That being 644 and the chmod in comnbination with AUTOLOAD do not seem
to match. Either debian will take care of +x and the chmod is not
required at all, or it needs to be 755 and the chmod needs to go away.

Henning


^ permalink raw reply	[flat|nested] 3+ messages in thread

* Re: [PATCH] meta: Run depmod after kernel module installation
  2018-07-09  7:48 ` Henning Schild
@ 2018-07-09  8:05   ` Jan Kiszka
  0 siblings, 0 replies; 3+ messages in thread
From: Jan Kiszka @ 2018-07-09  8:05 UTC (permalink / raw)
  To: Henning Schild; +Cc: isar-users

On 2018-07-09 09:48, Henning Schild wrote:
> Am Mon, 9 Jul 2018 08:31:12 +0200
> schrieb "[ext] Jan Kiszka" <jan.kiszka@siemens.com>:
> 
>> Otherwise the module may not be found if the module package is
>> installed on its own, i.e. without the kernel package performing the
>> depmod run.
>>
>> Signed-off-by: Jan Kiszka <jan.kiszka@siemens.com>
>> ---
>>  meta/recipes-kernel/linux-module/files/debian/postinst | 4 ++++
>>  1 file changed, 4 insertions(+)
>>  create mode 100644
>> meta/recipes-kernel/linux-module/files/debian/postinst
>>
>> diff --git a/meta/recipes-kernel/linux-module/files/debian/postinst
>> b/meta/recipes-kernel/linux-module/files/debian/postinst new file
>> mode 100644 index 0000000..baabf5d
>> --- /dev/null
>> +++ b/meta/recipes-kernel/linux-module/files/debian/postinst
>> @@ -0,0 +1,4 @@
>> +#!/bin/sh
>> +set -e
>> +
>> +depmod -a
> 
> That being 644 and the chmod in comnbination with AUTOLOAD do not seem
> to match. Either debian will take care of +x and the chmod is not
> required at all, or it needs to be 755 and the chmod needs to go away.
> 

Right, it's probably needed. At least all non-dpkg-raw hooks I found
have +x, and dpkg-raw does an install -m 755.

Jan

^ permalink raw reply	[flat|nested] 3+ messages in thread

end of thread, other threads:[~2018-07-09  8:05 UTC | newest]

Thread overview: 3+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2018-07-09  6:31 [PATCH] meta: Run depmod after kernel module installation Jan Kiszka
2018-07-09  7:48 ` Henning Schild
2018-07-09  8:05   ` Jan Kiszka

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox